QuantLib: HestonModelHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
HestonModelHelper Class Reference

calibration helper for Heston model More...

`#include <ql/models/equity/hestonmodelhelper.hpp>`

Inheritance diagram for HestonModelHelper:
[legend]

## Public Member Functions
| HestonModelHelper (const Period &maturity, const Calendar &calendar, const Real s0, const Real strikePrice, const Handle< Quote > &volatility, const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, CalibrationHelper::CalibrationErrorType errorType=CalibrationHelper::RelativePriceError)
| HestonModelHelper (const Period &maturity, const Calendar &calendar, const Handle< Quote > &s0, const Real strikePrice, const Handle< Quote > &volatility, const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, CalibrationHelper::CalibrationErrorType errorType=CalibrationHelper::RelativePriceError)
void | addTimesTo (std::list< Time > &) const
void | performCalculations () const
Real | modelValue () const
| returns the price of the instrument according to the model
Real | blackPrice (Real volatility) const
| Black or Bachelier price given a volatility.
Time | maturity () const
Public Member Functions inherited from CalibrationHelper
| CalibrationHelper (const Handle< Quote > &volatility, const Handle< YieldTermStructure > &termStructure, CalibrationErrorType calibrationErrorType=RelativePriceError, const VolatilityType type=ShiftedLognormal, const Real shift=0.0)
Handle< Quote > | volatility () const
| returns the volatility Handle
VolatilityType | volatilityType () const
| returns the volatility type
Real | marketValue () const
| returns the actual price of the instrument (from volatility)
virtual Real | calibrationError ()
| returns the error resulting from the model valuation
Volatility | impliedVolatility (Real targetValue, Real accuracy, Size maxEvaluations, Volatility minVol, Volatility maxVol) const
| Black volatility implied by the model.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &engine)
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from CalibrationHelper
enum | CalibrationErrorType { RelativePriceError, PriceError, ImpliedVolError }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from CalibrationHelper
Real | marketValue_
Handle< Quote > | volatility_
Handle< YieldTermStructure > | termStructure_
boost::shared_ptr< PricingEngine > | engine_
const VolatilityType | volatilityType_
const Real | shift_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

calibration helper for Heston model

## Member Function Documentation

## ◆ performCalculations()

void performCalculations | ( |  | ) | const
| virtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Reimplemented from CalibrationHelper.